# Contributor: <michal.bozon@gmail.com>

pkgname=opensc-openct
_pkgname=OpenSC
_pkgver=0.22.0
pkgver=${_pkgver/-/}
pkgrel=1.1
pkgdesc='OpenSC compiled with OpenCT instead of PCSC, working with e.g. SafeNet/Aladdin eToken Pro 64k'
arch=('x86_64' 'i686')
url='https://github.com/OpenSC/OpenSC/wiki'
license=('LGPL')
depends=('openssl' 'openct')
source=("https://github.com/OpenSC/OpenSC/archive/${_pkgver}.tar.gz")
sha256sums=('138acf5724573d68bdfaf988bb05c00391edbfe262e69835813ed6bd00748c7a')

_prefix=/opt/$pkgname

build() {
    cd $_pkgname-$_pkgver
    ./bootstrap
    ./configure \
        --prefix=$_prefix \
        --disable-pcsc \
        --enable-openct
    make
}

package(){
    cd $_pkgname-$_pkgver
    make DESTDIR="$pkgdir" install
}
